Subject: Re: bug#32030: 27.0.50; debug-on-signal, void-variable

From: Noam Postavsky <[email-masked]>
Date: Mon, 02 Jul 2018 01:38:51 -0400

Brady Trainor <[email-masked]> writes:

> Reduction? Hmm. Dart-mode is provoking error messages related to
> jit-lock, and sending them to Messages buffer (the issue from tracker
> I'm currently reproducing is when dart-mode is applied to a buffer with
> string interpolation). I was trying to make a minimal broken example
> more obvious with debugger opening on startup. Maybe we can set that
> variable closer the moment dart-mode is called, when the trace is
> preferred.

If this is getting called from redisplay, I think the debugger might be
suppressed from that context, even if you set debug-on-signal.  I seem
to recall triggerring refontification synchronously with M-o M-o
(font-lock-fontify-block) worked for me in a similar situation (although
it's possible you won't hit the error this way).